## cantor 19.08.3

=== debian/changelog ===
cantor (4:19.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the Python 2 backend, as Python 2 will be removed from Debian:
    (Closes: #936271)
    - drop the cantor-backend-python2 binary
    - remove the python-dev build dependency
    - remove the cantor-backend-python2 suggest in cantor, and stop mentioning
      it in the description
  * Update almost all the URLs to https:
    - use the actual homepage of Qalculate
    - leave the homepage of Maxima as http, as https is not supported

 -- Pino Toscano <pino@debian.org>  Wed, 13 Nov 2019 21:47:09 +0100

cantor (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from cantor-dbg, no more needed after two Debian stable
    releases.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - explicitly add gettext
  * Remove more development stuff.
  * Add the configuration for the CI on salsa.
  * Remove old cantor-backend-python2 breaks/replaces, older than oldstable.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2019 07:15:15 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.49.0~),
               gettext,
               libanalitza-dev (>> 4:15.08),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.49.0~),
               libkf5completion-dev (>= 5.49.0~),
               libkf5config-dev (>= 5.49.0~),
               libkf5coreaddons-dev (>= 5.49.0~),
               libkf5crash-dev (>= 5.49.0~),
               libkf5doctools-dev (>= 5.49.0~),
               libkf5i18n-dev (>= 5.49.0~),
               libkf5iconthemes-dev (>= 5.49.0~),
               libkf5kio-dev (>= 5.49.0~),
               libkf5newstuff-dev (>= 5.49.0~),
               libkf5parts-dev (>= 5.49.0~),
               libkf5pty-dev (>= 5.49.0~),
               libkf5syntaxhighlighting-dev (>= 5.49.0~),
               libkf5texteditor-dev (>= 5.49.0~),
               libkf5textwidgets-dev (>= 5.49.0~),
               libkf5xmlgui-dev (>= 5.49.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libqalculate-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3-dev,
               qtbase5-dev (>= 5.4),
               r-base-core,
Standards-Version: 4.4.1
Homepage: https://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 armhf i386 powerpc ppc64el s390x],
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: libcantor-pythonbackend (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-pythonbackend
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Base Python backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/cantor/
	rm -rf debian/tmp/usr/lib/*/cmake/
	find debian/tmp -name '*.so' -type l -delete

override_dh_makeshlibs:
	$(overridden_command) -V

## cantor 19.12.0

=== debian/changelog ===
cantor (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New build dep on libpoppler-qt5-dev
  * Update install files.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:23 +0000

cantor (4:19.08.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Bumped build deps to always build with latest analitza.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.
    - Breaks/Replaces and maintscipt for config files moved from main cantor
      package to their respective backends.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Nov 2019 12:16:51 +0000

cantor (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * Drop upstream_fix_missing_includes.diff now in source.
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:16 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>> 4:15.08),
+               julia [amd64],
+               libanalitza-dev (>= 4:19.12.0~),
                libglib2.0-dev,
+               libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),
                libkf5completion-dev (>= 5.49.0~),
                libkf5config-dev (>= 5.49.0~),
@@ -28,6 +30,7 @@
                liblapack3,
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
+               libpoppler-qt5-dev,
                libqalculate-dev,
                libqt5svg5-dev (>= 5.4),
                libqt5xmlpatterns5-dev (>= 5.4),
@@ -39,8 +42,8 @@
                r-base-core,
 Standards-Version: 4.4.1
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
@@ -76,6 +79,21 @@
  .
  This package is part of the KDE education module.
 
+Package: cantor-backend-julia
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using Julia
+ (http://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-kalgebra
 Architecture: any
 Section: math
@@ -95,8 +113,8 @@
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -127,8 +145,8 @@
 Architecture: any
 Section: math
 Depends: octave, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -162,8 +180,8 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Qalculate! backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -214,8 +232,8 @@
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:17.08.3~)
-Replaces: cantor (<< 4:17.08.3~)
+Breaks: cantor (<< 4:18.12.0~)
+Replaces: cantor (<< 4:18.12.0~)
 Description: Scilab backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -227,6 +245,22 @@
  .
  This package is part of the KDE education module.
 
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
+
 Package: libcantor-pythonbackend
 Architecture: any
 Section: math

## cantor 19.12.1

=== debian/changelog ===
cantor (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:53 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:19.12.0~),
+               libanalitza-dev (>= 4:19.12.1~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

## cantor 19.12.2

=== debian/changelog ===
cantor (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:01 +0000

cantor (4:19.12.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:45 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:19.12.1~),
+               libanalitza-dev (>= 4:19.12.2~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

## cantor 19.12.3

=== src/test/CMakeLists.txt ===
set(worksheettest_SRCS
    ../worksheet.cpp
    ../worksheetview.cpp
    ../worksheetentry.cpp
    ../worksheettextitem.cpp
    ../worksheetimageitem.cpp
    ../commandentry.cpp
    ../textentry.cpp
    ../markdownentry.cpp
    ../pagebreakentry.cpp
    ../imageentry.cpp
    ../latexentry.cpp
    ../placeholderentry.cpp
    ../worksheetcursor.cpp
    ../searchbar.cpp
    ../actionbar.cpp
    ../worksheettoolbutton.cpp
    ../imagesettingsdialog.cpp
    ../scripteditor/scripteditorwidget.cpp
    ../resultitem.cpp
    ../textresultitem.cpp
    ../imageresultitem.cpp
    ../animationresultitem.cpp
    ../loadedexpression.cpp
    ../animation.cpp
    ../mathrender.cpp
    ../mathrendertask.cpp
    ../extended_document.cpp
    worksheet_test.cpp)

ki18n_wrap_ui(worksheettest_SRCS ../imagesettings.ui)
ki18n_wrap_ui(worksheettest_SRCS ../standardsearchbar.ui)
ki18n_wrap_ui(worksheettest_SRCS ../extendedsearchbar.ui)
kconfig_add_kcfg_files(worksheettest_SRCS ../settings.kcfgc)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file("data/Lecture-2B-Single-Atom-Lasing.ipynb" data COPYONLY)
configure_file("data/AEC.04 - Evolutionary Strategies and Covariance Matrix Adaptation.ipynb" data COPYONLY)
configure_file("data/Population_Genetics.ipynb" data COPYONLY)
configure_file("data/A Reaction-Diffusion Equation Solver in Python with Numpy.ipynb" data COPYONLY)
configure_file("data/Automata and Computability using Jupyter.ipynb" data COPYONLY)
configure_file("data/Cue Combination with Neural Populations .ipynb" data COPYONLY)
configure_file("data/Transformation2D.ipynb" data COPYONLY)
configure_file("data/TestMarkdownAttachment.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad1.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad2.ipynb" data COPYONLY)
configure_file("data/TestResultsLoad.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithJson.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithModJson.ipynb" data COPYONLY)

set(PATH_TO_TEST_NOTEBOOKS ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file (config-cantor-test.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor-test.h )

add_executable( testworksheet ${worksheettest_SRCS})
add_test(NAME testworksheet COMMAND testworksheet)
target_link_libraries( testworksheet
    cantorlibs
    cantor_config
    Qt5::Test
    Qt5::PrintSupport
    Qt5::Xml
    ${Qt5XmlPatterns_LIBRARIES}
    KF5::TextEditor
    Poppler::Qt5
)

if(LIBSPECTRE_FOUND)
    target_link_libraries(testworksheet ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)
if(Discount_FOUND)
    target_link_libraries(testworksheet Discount::Lib)
endif(Discount_FOUND)

=== src/assistants/differentiate/CMakeLists.txt ===
set( DifferentiateAssistant_SRCS
     differentiateassistant.cpp
)

ki18n_wrap_ui(DifferentiateAssistant_SRCS differentiatedlg.ui)

add_assistant(differentiateassistant ${DifferentiateAssistant_SRCS})

install( FILES cantor_differentiate_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )

=== src/backends/lua/CMakeLists.txt ===
set(LuaBackend_SRCS
  luabackend.cpp
  luasession.cpp
  luaexpression.cpp
  luacompletionobject.cpp
  luahelper.cpp
  luakeywords.cpp
  luahighlighter.cpp
  luaextensions.cpp
)

kconfig_add_kcfg_files(LuaBackend_SRCS settings.kcfgc)
install(FILES luabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(LuaBackend_SRCS settings.ui)

add_backend(luabackend ${LuaBackend_SRCS})

include_directories(${LUAJIT_INCLUDE_DIR})

target_link_libraries(cantor_luabackend ${LUAJIT_LIBRARY} KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testlua testlua.cpp)
  add_test(NAME testlua COMMAND testlua)
  ecm_mark_as_test(testlua)
  target_link_libraries( testlua
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_lua.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/octave/CMakeLists.txt ===
set( OctaveBackend_SRCS
  octavebackend.cpp
  octavesession.cpp
  octaveexpression.cpp
  octaveextensions.cpp
  octavehighlighter.cpp
  octavekeywords.cpp
  octavecompletionobject.cpp
  octavesyntaxhelpobject.cpp
  octavevariablemodel.cpp
)

add_subdirectory(scripts)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES octavebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(OctaveBackend_SRCS settings.ui)

add_backend(octavebackend ${OctaveBackend_SRCS})

target_link_libraries(cantor_octavebackend
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
)


if(BUILD_TESTING)
  add_executable( testoctave testoctave.cpp)
  add_test(NAME testoctave COMMAND testoctave)
  ecm_mark_as_test(testoctave)
  target_link_libraries( testoctave
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_octave.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== src/backends/python3/CMakeLists.txt ===
set(Python3Backend_SRCS
  python3backend.cpp
  python3session.cpp
)

set(Python3Server_SRCS
  ../python/pythonservermain.cpp
  ../python/pythonserver.cpp
)

include_directories(${PYTHONLIBS3_INCLUDE_DIRS})
kconfig_add_kcfg_files(Python3Backend_SRCS settings.kcfgc)
add_backend(python3backend ${Python3Backend_SRCS})
target_link_libraries(cantor_python3backend cantor_pythonbackend)

add_executable(cantor_python3server ${Python3Server_SRCS})
set_target_properties(cantor_python3server PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries(cantor_python3server ${PYTHONLIBS3_LIBRARIES})

if(BUILD_TESTING)
  add_executable(testpython3 testpython3.cpp settings.cpp)
  add_test(NAME testpython3 COMMAND testpython3)
  target_link_libraries(testpython3
    Qt5::Test
    KF5::ConfigCore
    KF5::ConfigGui
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_python3.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR})
install(FILES python3backend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

install(TARGETS cantor_python3server ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/assistants/linearalgebra/eigenvectors/CMakeLists.txt ===
set( EigenVectorsAssistant_SRCS
     eigenvectorsassistant.cpp
)

ki18n_wrap_ui(EigenVectorsAssistant_SRCS eigenvectorsdlg.ui)

add_assistant(eigenvectorsassistant ${EigenVectorsAssistant_SRCS})

install( FILES cantor_eigenvectors_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )

=== src/backends/julia/juliaserver/CMakeLists.txt ===
add_definitions(-DJULIA_ENABLE_THREADING=1)

set(JuliaServer_SRCS
    juliaserver.cpp
    main.cpp
)
add_executable(cantor_juliaserver ${JuliaServer_SRCS})

target_link_libraries(cantor_juliaserver
    ${JULIA_LIBRARY}
    Qt5::Widgets
    Qt5::DBus
)

install(TARGETS cantor_juliaserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
cantor (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:04:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:19.12.2~),
+               libanalitza-dev (>= 4:19.12.3~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,5 @@
 	# Disable dh_auto_test at build time
 	:
 
-override_dh_auto_install:
-	$(overridden_command)
-	# do not ship the development stuff for now
-	rm -rf debian/tmp/usr/include/cantor/
-	rm -rf debian/tmp/usr/lib/*/cmake/
-	find debian/tmp -name '*.so' -type l -delete
-
 override_dh_makeshlibs:
 	$(overridden_command) -V

## cantor 20.04.0

=== debian/changelog ===
cantor (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:18:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:19.12.3~),
+               libanalitza-dev (>= 4:20.04.0~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

## cantor 20.04.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.49.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.8.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n)

find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)


if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)
include(GenerateExportHeader)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else(NOT WIN32)
    set(WITH_EPS Off)
endif(NOT WIN32)

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
string(TOLOWER "${CMAKE_BUILD_TYPE}" BUILD_NAME)
if (BUILD_NAME STREQUAL "release" OR BUILD_NAME STREQUAL "")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()
kde_enable_exceptions()

# FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled
if(NOT WIN32)
    add_subdirectory(doc)
endif(NOT WIN32)
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
cantor (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.04.0~),
+               libanalitza-dev (>= 4:20.04.1~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

## cantor 20.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Jun 2020 09:27:32 +0100

cantor (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch back the scilab-cli suggest in cantor-backend-scilab to a
    dependency, as scilab was fixed in the meanwhile.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - add libpoppler-qt5-dev
  * Update install files
    - fold libcantor-pythonbackend into cantor-backend-python3, and drop it;
      add proper breaks/replaces
  * Unregister /etc/xdg/cantor_python3.knsrc as conffile, as it was renamed.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - drop the dh_makeshlibs override, as -V is done by default
  * Add Rules-Requires-Root: no.
  * Add a debian/not-installed with the files of the not yet shipped julia
    backend.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jun 2020 12:46:05 +0200

cantor (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:10:01 +0100

cantor (4:19.08.3-2) unstable; urgency=medium

  * Team upload.
  * Update watch file to the new release-service location.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Demote the scilab-cli dependency in cantor-backend-scilab to a suggest,
    as scilab currently FTBFSes in Debian. (Closes: #958189)

 -- Pino Toscano <pino@debian.org>  Sun, 19 Apr 2020 17:01:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.04.1~),
+               libanalitza-dev (>= 4:20.04.2~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),
@@ -32,15 +32,16 @@
                libmarkdown2-dev,
                libpoppler-qt5-dev,
                libqalculate-dev,
-               libqt5svg5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.8.0~),
+               libqt5xmlpatterns5-dev (>= 5.8.0~),
                libspectre-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                python3-dev,
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.8.0~),
                r-base-core,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
@@ -113,8 +114,8 @@
 Architecture: amd64 i386
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:18.12.0~)
-Replaces: cantor (<< 4:18.12.0~)
+Breaks: cantor (<< 4:17.08.3~)
+Replaces: cantor (<< 4:17.08.3~)
 Description: Lua backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -145,8 +146,8 @@
 Architecture: any
 Section: math
 Depends: octave, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:18.12.0~)
-Replaces: cantor (<< 4:18.12.0~)
+Breaks: cantor (<< 4:17.08.3~)
+Replaces: cantor (<< 4:17.08.3~)
 Description: Octave backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -161,10 +162,11 @@
 Package: cantor-backend-python3
 Architecture: any
 Section: math
-Depends: libcantor-pythonbackend (= ${binary:Version}),
-         python3,
+Depends: python3,
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
+Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
 Description: Python3 backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -180,8 +182,8 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:18.12.0~)
-Replaces: cantor (<< 4:18.12.0~)
+Breaks: cantor (<< 4:17.08.3~)
+Replaces: cantor (<< 4:17.08.3~)
 Description: Qalculate! backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -232,8 +234,8 @@
 Architecture: amd64 arm64 armhf i386 powerpc ppc64el s390x
 Section: math
 Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
-Breaks: cantor (<< 4:18.12.0~)
-Replaces: cantor (<< 4:18.12.0~)
+Breaks: cantor (<< 4:17.08.3~)
+Replaces: cantor (<< 4:17.08.3~)
 Description: Scilab backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -260,18 +262,3 @@
  This package is part of the KDE education module.
  .
  This package contains development files for cantor.
-
-Package: libcantor-pythonbackend
-Architecture: any
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Base Python backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Python language
- (https://www.python.org/) in Cantor.
- .
- This package is part of the KDE education module.

## cantor 20.04.3

=== src/CMakeLists.txt ===
#########################################################################
# Subdirectories
#########################################################################
add_subdirectory(lib)
add_subdirectory(scripteditor)

include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
if(BUILD_TESTING)
  include(ECMMarkAsTest)
  include_directories( lib/test )
endif(BUILD_TESTING)

add_subdirectory(backends)
add_subdirectory(assistants)
add_subdirectory(xslt)
add_subdirectory(panelplugins)


#build the config object in a separate library, shared between shell and part
kconfig_add_kcfg_files(config_SRCS settings.kcfgc)
add_library( cantor_config  SHARED ${config_SRCS} )
target_link_libraries( cantor_config  KF5::Parts KF5::NewStuff )
install( TARGETS cantor_config  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

set(cantor_SRCS
   main.cpp
   cantor.cpp
   backendchoosedialog.cpp
 )

install(FILES cantor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(cantor_SRCS settings.ui)
ki18n_wrap_ui(cantor_SRCS backendchooser.ui)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-cantor.png")
ecm_add_app_icon(cantor_SRCS ICONS ${ICONS_SRCS})
add_executable(cantor ${cantor_SRCS})

target_link_libraries(cantor KF5::Parts KF5::NewStuff KF5::ConfigCore KF5::CoreAddons KF5::ConfigGui
    KF5::Crash KF5::XmlGui cantorlibs cantor_config)

########### install files ###############
install(TARGETS cantor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.cantor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES cantor_shell.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

#########################################################################
# KPART SECTION
#########################################################################

set(cantor_PART_SRCS
   cantor_part.cpp
   worksheet.cpp
   worksheetview.cpp
   worksheetentry.cpp
   worksheettextitem.cpp
   worksheetimageitem.cpp
   commandentry.cpp
   textentry.cpp
   markdownentry.cpp
   pagebreakentry.cpp
   imageentry.cpp
   latexentry.cpp
   placeholderentry.cpp
   worksheetcursor.cpp
   searchbar.cpp
   actionbar.cpp
   worksheettoolbutton.cpp
   imagesettingsdialog.cpp
   scripteditor/scripteditorwidget.cpp
   resultitem.cpp
   textresultitem.cpp
   imageresultitem.cpp
   animationresultitem.cpp
   loadedexpression.cpp
   animation.cpp
   mathrender.cpp
   mathrendertask.cpp
   worksheetcontrolitem.cpp
 )

ki18n_wrap_ui(cantor_PART_SRCS imagesettings.ui)
ki18n_wrap_ui(cantor_PART_SRCS standardsearchbar.ui)
ki18n_wrap_ui(cantor_PART_SRCS extendedsearchbar.ui)

string(CONCAT PATH_TO_CANTOR_BACKENDS ${CMAKE_INSTALL_PREFIX} "/${PLUGIN_INSTALL_DIR}")

configure_file (config-cantor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor.h )

kcoreaddons_add_plugin(cantorpart
    SOURCES ${cantor_PART_SRCS}
    JSON "cantor_part.json"
    INSTALL_NAMESPACE ".")

set_target_properties(cantorpart PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(cantorpart KF5::Parts KF5::NewStuff
                     KF5::TextEditor ${Qt5XmlPatterns_LIBRARIES}
                     KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets
                     Qt5::PrintSupport cantorlibs cantor_config )

# if(Discount_FOUND)
    target_link_libraries(cantorpart Discount::Lib)
# endif(Discount_FOUND)

if(BUILD_TESTING)
  add_subdirectory(test)
endif(BUILD_TESTING)

install( FILES cantor_part.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor_scripteditor.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== debian/changelog ===
cantor (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:33:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.04.2~),
+               libanalitza-dev (>= 4:20.04.3~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## cantor 20.08.0

=== debian/changelog ===
cantor (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:36 +0100

cantor (4:20.04.3-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libqalculate21.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jul 2020 08:12:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.04.3~),
+               libanalitza-dev (>= 4:20.08.0~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),

## cantor 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})
@@ -40,7 +40,8 @@
     TextWidgets
     KIO
     XmlGui
-    I18n)
+    I18n
+)
 
 find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)
 
@@ -48,6 +49,8 @@
 if(NOT WIN32)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
 endif()
+
+option(USE_LIBSPECTRE "Use libspectre library" ON)
 
 include(FeatureSummary)
 include(ECMInstallIcons)
@@ -63,7 +66,7 @@
 # Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
 set(Discount_FOUND TRUE)
 
-if(NOT WIN32)
+if(NOT WIN32 AND USE_LIBSPECTRE)
     set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
         URL "https://www.freedesktop.org/wiki/Software/libspectre/"
         TYPE OPTIONAL
@@ -76,9 +79,9 @@
         set(WITH_EPS Off)
     endif(LIBSPECTRE_FOUND)
 
-else(NOT WIN32)
+else()
     set(WITH_EPS Off)
-endif(NOT WIN32)
+endif()
 
 #[[
 find_package(Discount 2.2.0)
@@ -89,10 +92,8 @@
 ]]#
 
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-string(TOLOWER "${CMAKE_BUILD_TYPE}" BUILD_NAME)
-if (BUILD_NAME STREQUAL "release" OR BUILD_NAME STREQUAL "")
-    add_definitions(-DQT_NO_DEBUG_OUTPUT)
-endif()
+set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")
+
 kde_enable_exceptions()
 
 # FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled

=== src/backends/julia/CMakeLists.txt ===
include_directories(${JULIA_INCLUDE_DIRS})

add_subdirectory(juliaserver)

set(JuliaBackend_SRCS
  juliabackend.cpp
  juliasession.cpp
  juliaexpression.cpp
  juliakeywords.cpp
  juliavariablemodel.cpp
  juliahighlighter.cpp
  juliaextensions.cpp
  juliacompletionobject.cpp
)

kconfig_add_kcfg_files(JuliaBackend_SRCS settings.kcfgc)
ki18n_wrap_ui(JuliaBackend_SRCS settings.ui)

add_backend(juliabackend ${JuliaBackend_SRCS})

target_link_libraries(cantor_juliabackend
  ${JULIA_LIBRARY}
  Qt5::DBus
  KF5::SyntaxHighlighting
)

if(BUILD_TESTING)
  add_executable(testjulia testjulia.cpp settings.cpp)
  add_test(NAME testjulia COMMAND testjulia)
  target_link_libraries(testjulia
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES juliabackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
file(GLOB scripts "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*.jl")
install(
  FILES ${scripts}
  DESTINATION ${KDE_INSTALL_DATADIR}/cantor/juliabackend/scripts
)

install(FILES graphic_packages.xml DESTINATION ${KDE_INSTALL_DATADIR}/cantor/julia)

=== debian/changelog ===
cantor (4:20.08.1-0ubuntu3) groovy; urgency=medium

  * Temporarily demote maxima to a recommends, while it is not available
    on all architectures.

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Sep 2020 07:56:57 +0100

cantor (4:20.08.1-0ubuntu2) groovy; urgency=medium

  * Fix build on riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 16:35:21 +0100

cantor (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>= 4:20.08.0~),
+               libanalitza-dev (>= 4:20.08.1~),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.49.0~),
@@ -130,7 +130,8 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recomends: maxima
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
